%define name 	gospy-applet
%define version 0.9
%define release %mkrel 2

Summary: 	Web and server monitoring applet
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://gospy-applet.labs.libre-entreprise.org/
License: 	GPLv2+
Group: 		Graphical desktop/GNOME
Source: 	http://labs.libre-entreprise.org/download/gospy-applet/%{name}-%{version}.tar.gz
Patch0:		gospy-applet-0.8.0-gnutls-2.8.patch
Patch1:		gospy-applet-0.8.0-gnome-ui.patch
Patch2:		gospy-applet-0.8.0-fix-str-fmt.patch
Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	imagemagick pkgconfig GConf2
BuildRequires:	libpanel-applet-devel libglade2.0-devel libgnome-vfs2-devel gnomeui2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  gnutls-devel
BuildRequires:  libgnet2-devel
BuildRequires:	scrollkeeper
BuildRequires:  desktop-file-utils
BuildRequires:  libesmtp-devel
BuildRequires:	intltool
Requires(post):	GConf2
Requires(post): scrollkeeper
Requires(preun):GConf2
Requires(postun):scrollkeeper

%description
gospy-applet is a GNOME 2 applet monitoring Web pages and servers. It detects
changes in page content, page status, page size, page loading time, IP
address, and so on.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
mkdir m4

%build
autoreconf -fi
%configure2_5x --disable-schemas-install
# --with-gconf-schema-file-dir=$RPM_BUILD_ROOT/%_sysconfdir/gconf --with-gconf-source=$RPM_BUILD_ROOT/%_sysconfdir/gconf
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name

%post
%post_install_gconf_schemas %name
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog README NEWS THANKS
%_bindir/%name
%_sysconfdir/gconf/schemas/*
%_libdir/bonobo/servers/*
%_datadir/gnome-2.0/ui/*
%_datadir/gnome/help/%name
%_datadir/%name
%_datadir/omf/%name
%_datadir/pixmaps/*


%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9-2mdv2011.0
+ Revision: 619219
- the mass rebuild of 2010.0 packages

* Thu Jun 04 2009 Funda Wang <fwang@mandriva.org> 0.9-1mdv2010.0
+ Revision: 382612
- New version 0.9
- fix string format
- fix build with latest gnome-ui
- build with gnutls 2.8

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.8.0-4mdv2009.0
+ Revision: 246524
- rebuild

* Fri Jan 25 2008 Funda Wang <fwang@mandriva.org> 0.8.0-2mdv2008.1
+ Revision: 157763
- rebuild
- use gconf macros

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.8.0-1mdv2008.1
+ Revision: 136460
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 15 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.0-1mdv2007.0
+ Revision: 121397
- New release 0.8.0

* Wed Dec 13 2006 Jérôme Soyer <saispo@mandriva.org> 0.7.1-1mdv2007.1
+ Revision: 96505
- New release 0.7.1

* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 0.7.0-1mdv2007.1
+ Revision: 94676
- New release 0.7.0

* Wed Nov 22 2006 Jérôme Soyer <saispo@mandriva.org> 0.6.0-1mdv2007.1
+ Revision: 86162
- Fix build errors
- New release 0.6.0
- Import gospy-applet

* Sat Apr 01 2006 Austin Acton <austin@mandriva.org> 0.5.3-4mdk
- Rebuild

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-3mdk
- Another BuildRequires fix

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.3-2mdk
- Fix BuildRequires

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.5.3-1mdk
- New release 0.5.3
- scrollkeeper

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 0.5.2-1mdk
- New release 0.5.2

* Sun Dec 12 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1
- source URL

* Sun Oct 24 2004 Jerome Soyer <saispo@mandrake.org> 0.5.0-1mdk
- 0.5.0

* Mon Oct 11 2004 Austin Acton <austin@mandrake.org> 0.4.1-1mdk
- 0.4.1

* Sun Jul 11 2004 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- initial package

